function image_shade1

global filename A;
global F1;
scz=get(0,'ScreenSize');
figure('Position',[round(scz(1,3)/4) round(scz(1,4)/8) 1000 600],'MenuBar','None','NumberTitle','off','Name','Application','Resize','off');
axes('Position',[0 0 .7 1],'xtick',[],'ytick',[]);

thresh=uicontrol('Style','slider','Position',[700,370 200 20],'Max',2000,'Min',50,'Value',1000,'Callback',@draw);
shade=uicontrol('Style','slider','Position',[700,310 200 20],'Max',200 ,'Min',10,'Value',100,'Callback',@draw);

directory=dir('*.jpg');
files={directory.name}';
line=uicontrol('style','text','Position',[700,395 200 20]','String','Number of block:50');
tval=uicontrol('style','text','Position',[700,340 200 20]','String','Compactness factor :100');

uicontrol('style','text','Position',[700,455 100 20]','String','Filename:');
uicontrol('Style','popupmenu','position',[700 420 160 30],'Value',1,'String',files,'Callback',@displayfile);
uicontrol('Style', 'push', 'position', [700, 220, 80, 30], 'String', 'Save', 'Callback', @saveImg);
%%
    function displayfile(obj,~)
        ptr=get(obj,'value');
        filename=char(files(ptr));
        A=imread(filename);                      
        imshow(A);
    end
%%
    function saveImg(~,~)
        [FileName, PathName] = uiputfile('*.jpg', 'Save As'); %# <-- dot
        if PathName==0, return;
        end 
        Name = fullfile(PathName,FileName);  %# <--- reverse the order of arguments
        imwrite(F1, Name, 'jpg');
    end
%%
    function draw(~,~)
        thr=get(thresh,'Value');    % number of block
        sh=get(shade,'Value');  % Compactness factor
        thr=int32(thr);
        sh=int32(sh);
        
        thval=strcat('Compactness factor :', num2str(sh));
        set(tval,'String',thval);
       
        lineval=strcat('number of block :', num2str(thr));
        set(line,'String',lineval);
       
        if(~isempty(A))
            A=imread(filename);
            edgeline = rgb2gray(A);
            img2 = myslic_function2(A, thr, sh);

            [labels, numlabels] = slicmex(A, thr, sh);
            [m,n]=size(labels);
for ii = 2 : m-1
                for jj = 2 : n-1
                    if (labels(ii, jj) == labels(ii-1, jj)&&labels(ii, jj) == labels(ii+1, jj)&&labels(ii, jj) == labels(ii, jj-1)&&labels(ii, jj) == labels(ii, jj+1) )
                        edgeline(ii, jj)=0;
                    else
                        edgeline(ii, jj)=255;
                    end
                end
end
sigma = 1.3;
gausFilter = fspecial('gaussian',[5 5],sigma);
edgeline=imfilter(edgeline,gausFilter,'replicate');
edgeline(edgeline>100) = 255;

edgeline(edgeline<=100) = 0;

img2(:,:,1)=img2(:,:,1) - edgeline;
img2(:,:,2)=img2(:,:,2) - edgeline;
img2(:,:,3)=img2(:,:,3) - edgeline;
imshow(img2);
           % imshow(B);
       end
    end
end